<?php
/**
 * Created by PhpStorm.
 * User: robertomartins
 * Date: 07/06/15
 * Time: 12:11
 */

namespace Factory;


class ProjectBurndown {

    private $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager){
        $this->entityManager = $entityManager;
    }

    function create(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Project $project, $referenceDate, $burndownType, $idealTrend, $remainingPlanned, $remainingExecuted){
        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\ProjectBurndown();
        $entity->setProject($project);
        $entity->setReferenceDate($referenceDate);
        $entity->setRemainingPlanned($remainingPlanned);
        $entity->setRemainingExecuted($remainingExecuted);
        $entity->setIdealTrend($idealTrend);
        $entity->setBurndownType($burndownType);
        return $entity;
    }

    function update(\Zeedhi\DevOps\Model\Projectmanagement\Entities\ProjectBurndown $entity, $label){
        $entity->setReferenceDate($referenceDate);
        $entity->setRemainingPlanned($remainingPlanned);
        $entity->setRemainingExecuted($remainingExecuted);
        $entity->setIdealTrend($idealTrend);
        return $entity;
    }
}